Bug 102045 - Add week-multiple-fields tests
Summary: Add week-multiple-fields tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Forms (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Keishi Hattori
URL:
Keywords:
Depends on:
Blocks: 97877
  Show dependency treegraph
 
Reported: 2012-11-12 21:55 PST by Keishi Hattori
Modified: 2012-11-22 05:32 PST (History)
2 users (show)

See Also:


Attachments
Patch (38.32 KB, patch)
2012-11-21 23:12 PST, Keishi Hattori
no flags Details | Formatted Diff | Diff
Patch (38.10 KB, patch)
2012-11-22 00:26 PST, Keishi Hattori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Keishi Hattori 2012-11-12 21:55:02 PST
Add week-multiple-fields tests
Comment 1 Keishi Hattori 2012-11-21 23:12:40 PST
Created attachment 175594 [details]
Patch
Comment 2 Kent Tamura 2012-11-21 23:31:01 PST
Comment on attachment 175594 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=175594&action=review

> LayoutTests/fast/forms/week-multiple-fields/week-multiple-fields-ax-aria-attributes.html:36
> +    testInput.parentNode.removeChild(testInput);

nit: You can do it with testInput.remove().

> LayoutTests/fast/forms/week-multiple-fields/week-multiple-fields-ax-value-changed-notification.html:31
> +        testInput.parentNode.removeChild(testInput);

nit: you can do it with testInput.remove().

> LayoutTests/fast/forms/week-multiple-fields/week-multiple-fields-change-layout-by-value.html:21
> +document.body.removeChild(testInput);

ditto.

> LayoutTests/fast/forms/week-multiple-fields/week-multiple-fields-keyboard-events-expected.txt:24
> +FAIL input.value should be 2012-W52. Was 2013-W52.

FAIL

> LayoutTests/fast/forms/week-multiple-fields/week-multiple-fields-keyboard-events.html:65
> +// FIXME: We should test type ahead time out. When event.leapForward() affects
> +// keyboard event time stamp, we can uncomment this fragment.
> +/*
> +beginTest('Digit keys with type ahead timeout');
> +keyDown('1'); // -> [01]/dd/yyyy
> +leapForward(1100); // -> 01/[dd]/yyyy
> +keyDown('1'); // -> 01/[01]/yyyy
> +keyDown('5'); // -> 01/15/[yyyy]
> +keyDown('6'); // -> 01/15/[0006]
> +shouldBeEqualToString('input.value', '0006-01-15');
> +*/

Please update this block for type=week, or remove it.

> LayoutTests/fast/forms/week-multiple-fields/week-multiple-fields-keyboard-events.html:89
> +keyDown('upArrow'); //    -> Week 52, [0001]

The result will be Week 52, [currentYear].

> LayoutTests/fast/forms/week-multiple-fields/week-multiple-fields-wheel-event.html:10
> +    'inputType' : 'date',

should be 'week'
Comment 3 Keishi Hattori 2012-11-22 00:26:25 PST
Created attachment 175607 [details]
Patch
Comment 4 Kent Tamura 2012-11-22 00:28:33 PST
Comment on attachment 175607 [details]
Patch

ok
Comment 5 WebKit Review Bot 2012-11-22 05:32:28 PST
Comment on attachment 175607 [details]
Patch

Clearing flags on attachment: 175607

Committed r135509: <http://trac.webkit.org/changeset/135509>
Comment 6 WebKit Review Bot 2012-11-22 05:32:31 PST
All reviewed patches have been landed.  Closing bug.